#!/bin/sh

curuser=/home
user=$(whoami)
homedir=/home/$user
selfpath=$(cd "$(dirname "$0")"; pwd)
desktop=${selfpath}/FoxitReader.desktop
targetdir=${selfpath}/FoxitReader.sh
uninstalldir=${selfpath}/maintenancetool.sh
activationdir=${selfpath}/Activation.sh
updaterdir=${selfpath}/updater.sh
rmsdir=${selfpath}/rms_sample.sh
iconpath=${curuser}/$user/.local/share/icons/hicolor/64x64/apps
isubuntu=$(cat /etc/issue | grep Ubuntu)
issuse=$(cat /etc/issue | grep SUSE)
rmsfile=/home/$user/.ms-ad/token_cache.dat
rootrmsfile=$user/.ms-ad/token_cache.dat
rmsuser=".config/Foxit Software/Foxit Reader.conf"
countinstalltion=${selfpath}/countinstalltion.sh

deletestdc()
{
	#ubuntu os
	if [ "x$isubuntu" != "x" ]; then
		rm ${selfpath}/lib/libssl.so.1.0.0
	fi
	#suse os
#	if [ "x$issuse" != "x" ]; then
#                rm ${selfpath}/lib/libssl.so.1.0.0
#       fi
	#redhat7 os
	if [ "x$isubuntu" = "x" ] && [ "x$issuse" = "x" ] ; then
		rm ${selfpath}/lib/libsecret-1.so
		rm ${selfpath}/lib/libsecret-1.so.0
		rm ${selfpath}/lib/libsecret-1.so.0.0.0
	fi
	#delete rms_file
	#if [ -e "$rmsfile" ];then
	#	rm $rmsfile
	#fi
	#if [ -e "$rootrmsfile" ];then
	#	rm $rootrmsfile
	#fi
}

setDefault() 
{
	#replace exec=dir
	desktop=$(cat ${desktop})
	#echo $(sed -e 's%Exec=%'Exec=${targetdir}'%g' foxitreaderlite.desktopbak) > foxitreaderlite.desktop
	echo Exec=${targetdir} >> ${selfpath}/FoxitReader.desktop
	echo Exec=${uninstalldir} >> ${selfpath}/Uninstall.desktop
	echo Exec=${activationdir} >> ${selfpath}/Activation.desktop
	echo Exec=${updaterdir} >> ${selfpath}/Update.desktop
	#echo Exec=${rmsdir} >> ${selfpath}/rms_sample.desktop
	icondir=${selfpath}/images/FoxitReader.png
	unicondir=${selfpath}/images/FoxitUninstall.png
	acticondir=${selfpath}/images/FoxitActivate.png
	updateicon=${selfpath}/images/FoxitUpdate.png
	desktopdir=${curuser}/${user}/.local/share/applications
	echo Icon=${icondir} >> ${selfpath}/FoxitReader.desktop
	echo Icon=${unicondir} >> ${selfpath}/Uninstall.desktop
	echo Icon=${acticondir} >> ${selfpath}/Activation.desktop
	echo Icon=${updateicon} >> ${selfpath}/Update.desktop
	#echo Icon=${icondir} >> ${selfpath}/rms_sample.desktop
	if [ "x$user" = "xroot" ]; then
		iconpath=
		#chmod 666 /$user/"$rmsuser"
		#sed -i '/User\\CurrentUser=/d' $user/"$rmsuser"
		iconpath=$user/.local/share/icons/hicolor/64x64/apps
		cp ${selfpath}/FoxitReader.desktop /root/Desktop/
	else 
		#chmod 666 ${curuser}/$user/"$rmsuser"
		#sed -i '/User\\CurrentUser=/d' ${curuser}/$user/"$rmsuser"
		cp ${selfpath}/FoxitReader.desktop ${curuser}/$user/Desktop/
		cp ${selfpath}/FoxitReader.desktop ${desktopdir}
	fi
	#set default
#	if [ !"$iconpath" ]; then
#		mkdir -p "$iconpath"
#	fi
#	cp ${selfpath}/images/FoxitReader-64x64.png ${iconpath}/FoxitReader.png
#	cp ${selfpath}/images/FoxitUninstall-64.png ${iconpath}/FoxitUninstall.png
#	cp ${selfpath}/images/FoxitUpdate-64.png ${iconpath}/FoxitUpdate.png
#	cp ${selfpath}/images/foxitreaderactivate.ico ${iconpath}/FoxitActivate.ico
	
}

updateLD_LIBRARY_PATH()
{
	chmod 666 $homedir/.bashrc
	echo " " >> $homedir/.bashrc
	echo "#set foxitreader library path" >> $homedir/.bashrc

	if [ "x$LD_LIBRARY_PATH" = "x" ]; then
		LD_LIBRARY_PATH=/usr/lib/
		export LD_LIBRARY_PATH
	fi

	foxitdir=${selfpath}/lib
	platformsdir=${selfpath}/platforms 
	printsupportdir=${selfpath}/printsupport 
	echo LD_LIBRARY_PATH=$LD_LIBRARY_PATH:${foxitdir}:${platformsdir}:${printsupportdir} >> $homedir/.bashrc
	echo export LD_LIBRARY_PATH >> $homedir/.bashrc

}

countinstalltion()
{
      sh  $countinstalltion /version 1.0.1.0925
}

deletestdc;
setDefault;
countinstalltion;

exit 0
